Bug 1307324 - ardour2: FTBFS in rawhide
ardour2: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ardour2 (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:01 EST by Fedora Release Engineering
Modified: 2016-03-09 01:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 01:19:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (520.14 KB, text/plain)
2016-02-13 16:01 EST, Fedora Release Engineering
no flags Details
root.log (129.25 KB, text/plain)
2016-02-13 16:01 EST, Fedora Release Engineering
no flags Details
state.log (629 bytes, text/plain)
2016-02-13 16:01 EST, Fedora Release Engineering
no flags Details

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:01:40 EST
Your package ardour2 failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12806587

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:01:42 EST
Created attachment 1124042 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:01:44 EST
Created attachment 1124043 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:01:45 EST
Created attachment 1124044 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:33:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-24 13:36:09 EST
gtk2_ardour/gain_meter.cc: In constructor 'GainMeterBase::GainMeterBase(ARDOUR::Session&, const Glib::RefPtr<Gdk::Pixbuf>&, bool)':
gtk2_ardour/gain_meter.cc:92:18: error: no matching function for call to 'Gtkmm2ext::HSliderController::HSliderController(const Glib::RefPtr<Gdk::Pixbuf>&, Gtk::Adjustment*, bool)'
             false));

See "Cannot convert 'bool' to 'T*'" in https://gcc.gnu.org/gcc-6/porting_to.html
Comment 6 Tom "spot" Callaway 2016-03-09 01:19:20 EST
Fixed in ardour2-2.8.16-21.fc24 (and fc25):

http://koji.fedoraproject.org/koji/taskinfo?taskID=13283438

Note You need to log in before you can comment on or make changes to this bug.